

Global Const $HTTP_STATUS_OK = 200

Func HttpGet($sURL, $sData)
Local $oHTTP = ObjCreate("WinHttp.WinHttpRequest.5.1")

$oHTTP.Open("GET", $sURL & "?" & $sData, False)
If (@error) Then Return SetError(1, 0, 0)

$oHTTP.Send()
If (@error) Then Return SetError(2, 0, 0)

If ($oHTTP.Status <> $HTTP_STATUS_OK) Then Return SetError(3, 0, 0)

Return SetError(0, 0, $oHTTP.ResponseText)
EndFunc

#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#Region ### START Koda GUI section ### Form=C:\Users\gsowell\Desktop\projects\cc\Form1.kxf
$Form1 = GUICreate("GregSowell.com Chromecast Signal", 244, 149, 192, 124)
$inIP = GUICtrlCreateInput("", 8, 24, 201, 21)
$Label1 = GUICtrlCreateLabel("IP Address", 8, 8, 55, 17)
$btnHere = GUICtrlCreateButton("Start Here", 8, 104, 65, 25)
$btnTooltip = GUICtrlCreateButton("Start Tooltip", 88, 105, 65, 25)
$Label2 = GUICtrlCreateLabel("Signal", 8, 48, 33, 17)
$Label3 = GUICtrlCreateLabel("Noise Floor", 11, 75, 57, 17)
$inSignal = GUICtrlCreateInput("", 85, 46, 57, 21)
GUICtrlSetState(-1, $GUI_DISABLE)
$inNoise = GUICtrlCreateInput("", 85, 73, 57, 21)
GUICtrlSetState(-1, $GUI_DISABLE)
$inRunning = GUICtrlCreateInput("", 200, 73, 32, 21)
GUICtrlSetState(-1, $GUI_DISABLE)
$btnStop = GUICtrlCreateButton("Stop", 165, 105, 65, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

$type = 0
$running = 0
$time = 250
While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $btnHere
			;
			$type = 1

		Case $btnTooltip
			;
			$type = 2

		Case $btnStop
			;
			$type = 0
			$time = 0

	EndSwitch

	if $type <> 0 Then
		;
		sleep(10)
		$time += 1
		if $time > 250 Then
			$time = 0
			$tempIP = GUICtrlRead($inIP)
			$sGet = HttpGet("http://" & $tempIP & ":8008/setup/eureka_info?options=detail", "0.o")
			$startlocation = StringInStr($sGet, "signal_level") + 14
			;MsgBox(0,$startlocation,StringMid($sGet,$startlocation,3))

			$startlocation2 = StringInStr($sGet, "noise_level") + 13

			;$startlocation3 = StringInStr($sGet, "noise_level") + 13
			$running += 1
			GUICtrlSetData($Form1, $running)

			if $type == 1 Then
				;
				GUICtrlSetData($inSignal,StringMid($sGet,$startlocation,3))
				GUICtrlSetData($inNoise,StringMid($sGet,$startlocation2,3))
				GUICtrlSetData($inRunning, $running)
			Else
				;
				ToolTip("Signal: " & StringMid($sGet,$startlocation,3) & @CRLF & "Noise: " & StringMid($sGet,$startlocation2,3) & @CRLF & "Running: " & $running, 0, 0)
			EndIf
		EndIf
	EndIf
WEnd
